org.codehaus.plexus.component.composition

## Class MapOrientedComponentComposer

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled
  - - org.codehaus.plexus.component.composition.AbstractComponentComposer
    - - org.codehaus.plexus.component.composition.MapOrientedComponentComposer

All Implemented Interfaces:
  ComponentComposer, LogEnabled

    public class MapOrientedComponentComposer
    extends AbstractComponentComposer

### Field Summary

### Fields inherited from interface org.codehaus.plexus.component.composition.ComponentComposer

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`MapOrientedComponentComposer()`

### Method Summary

Methods
`List` `assembleComponent(Object component, ComponentDescriptor componentDescriptor, PlexusContainer container)`

### Methods inherited from class org.codehaus.plexus.component.composition.AbstractComponentComposer

`getId`

### Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled

`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapOrientedComponentComposer

    public MapOrientedComponentComposer()

### Method Detail

#### assembleComponent

    public List assembleComponent(Object component,
                         ComponentDescriptor componentDescriptor,
                         PlexusContainer container)
                           throws CompositionException

Returns:
  List of ComponentDescriptors which were used by ComponentComposer
Throws:
  `CompositionException`